summaryrefslogtreecommitdiff
path: root/package/alix-switch/files/alix-switch
diff options
context:
space:
mode:
Diffstat (limited to 'package/alix-switch/files/alix-switch')
-rw-r--r--package/alix-switch/files/alix-switch19
1 files changed, 19 insertions, 0 deletions
diff --git a/package/alix-switch/files/alix-switch b/package/alix-switch/files/alix-switch
new file mode 100644
index 000000000..b61a6a48f
--- /dev/null
+++ b/package/alix-switch/files/alix-switch
@@ -0,0 +1,19 @@
+#!/bin/sh
+# launched by alix-switchd in case of button event
+# f.e. boot rescue system once
+case "$1" in
+ on)
+ echo "alix-switch: on"
+ mount /dev/sda1 /boot/grub
+ grub-reboot 1
+ umount /boot/grub
+ reboot
+ ;;
+ off)
+ echo "alix-switch: off"
+ ;;
+ *)
+ echo "Usage: $0 {on|off}"
+ ;;
+esac
+exit $?